SimpleXMLEmitter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.xml.SimpleXMLEmitter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xml
Class SimpleXMLEmitter

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.biojava.bio.program.xml.SimpleXMLEmitter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class SimpleXMLEmitter

extends DefaultHandler

A simple XML DocumentHandler that processes SAX2 events to create a sensibly formatted XML as it parsed without populating objects with data. Note, need to tidy up parameter names which are poor due to decompiling a .class file from an accidently deleted .java file!

Copyright © 2000 Cambridge Antibody Technology. All Rights Reserved.

Primary author -

- Simon Brocklehurst (CAT)

Other authors -

- Tim Dilks (CAT)
- Colin Hardman (CAT)
- Stuart Johnston (CAT)

Version:
  1.0
Author:
  Cambridge Antibody Technology (CAT)
See Also:
  `BaseXMLWriter`

Constructor Summary
`SimpleXMLEmitter()`
`SimpleXMLEmitter(boolean flag)`

Method Summary
`void` | `characters(char[] ach, int i, int j)`
`void` | `endElement(String string1, String string2, String string3)`
`void` | `startElement(String string1, String string2, String string3, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleXMLEmitter

    public SimpleXMLEmitter()

### SimpleXMLEmitter

    public SimpleXMLEmitter(boolean flag)

Method Detail

### characters

    public void characters(char[] ach,
                           int i,
                           int j)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String string1,
                           String string2,
                           String string3)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### startElement

    public void startElement(String string1,
                             String string2,
                             String string3,
                             Attributes attributes)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD